Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xml.sax.ext
Interface Attributes2

All Superinterfaces:
  Attributes

All Known Implementing Classes:
  SAXDriver, Attributes2Impl

public interface Attributes2
extends Attributes

SAX2 extension to augment the per-attribute information provided though `Attributes`. If an implementation supports this extension, the attributes provided in `ContentHandler.startElement()` will implement this interface, and the http://xml.org/sax/features/use-attributes2 feature flag will have the value true.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

XMLReader implementations are not required to support this information, and it is not part of core-only SAX2 distributions.

Since:
  SAX 2.0 (extensions 1.1 alpha)
Version:
  TBS
Author:
  David Brownell

Method Summary
`boolean` | `isSpecified(int index)` Returns true unless the attribute value was provided by DTD defaulting.
`boolean` | `isSpecified(java.lang.String qname)` Returns true unless the attribute value was provided by DTD defaulting.
`boolean` | `isSpecified(java.lang.String uri, java.lang.String lname)` Returns true unless the attribute value was provided by DTD defaulting.

Methods inherited from interface org.xml.sax.Attributes
`getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue`

Method Detail

### isSpecified

    public boolean isSpecified(int index)

  Returns true unless the attribute value was provided by DTD defaulting.
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    true if the value was found in the XML text, false if the value was provided by DTD defaulting.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - When the supplied index does not identify an attribute.

### isSpecified

    public boolean isSpecified(java.lang.String uri,
                               java.lang.String lname)

  Returns true unless the attribute value was provided by DTD defaulting.
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localName` - The attribute's local name.
  Returns:
    true if the value was found in the XML text, false if the value was provided by DTD defaulting.
  Throws:
    `java.lang.IllegalArgumentException` - When the supplied names do not identify an attribute.

### isSpecified

    public boolean isSpecified(java.lang.String qname)

  Returns true unless the attribute value was provided by DTD defaulting.
  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    true if the value was found in the XML text, false if the value was provided by DTD defaulting.
  Throws:
    `java.lang.IllegalArgumentException` - When the supplied name does not identify an attribute.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.